IDEA 2018.1 对 Java 10 的支持测试

红薯 发布于 2018/03/28 11:30
阅读 2K+
收藏 1

IntelliJ IDEA 2018.1 发布了,该版本增加对 Java 10 的支持。今天升级了一下做了个基本测试。

如果在 IDEA 上创建一个普通的 Java 项目,选择 Java 10 的 JDK 就可以实现对 Java 10 的支持

Module Settings 这里是这样的:

而一个 Maven 项目似乎并没有那么简单,在 Maven 中启用对 Java 10 的支持请看这里

问题估计跟下面这个 Module Settings 有关系

这里变成了红色的 No Project SDK,有人试过该如何解决这个问题吗?

加载中
0
红薯
红薯

搞定啦!

0
宏哥
宏哥

搞Java就是屁事多

我大PHP用VIM就搞定一切

vintNee
vintNee
php最厉害的语言
0
红薯
红薯

编辑器不报错了,但是在编辑器上执行编译报错,擦:

可以所有的设置地方都改成 java 10 了!

留给明天
留给明天
不要怪编译器,是自己不会弄
0
东君
东君

maven-compile-plugin 现在可以用10了吗?<source>1.10</source>?

jalena
jalena
3.7.0支持
0
敷衍了自己
敷衍了自己

安装idea2018.1的时候出现这个是什么原因啊

敷衍了自己
敷衍了自己
回复 @骑着苍天流浪 : 下载包的问题,win10上面,迅雷、谷歌、ie都试过了,不行,然后用edge下载就可以了
骑着苍天流浪
骑着苍天流浪
我的也是,
0
哎码
哎码

maven 中pom.xml或跟pom.xml指定java版本

0
开源中国首席技术官
开源中国首席技术官
同样的问题,还没解决....
红薯
红薯
已经解决啦,一个是 module settings,一个是系统配置
返回顶部
顶部